Skip to main content
`Ctrl`+`K`

# PetscInfoProcessClass

Activates or deactivates a class based on the filtering status of `PetscInfo()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoProcessClass(const char classname[], PetscInt numClassID, const PetscClassId classIDs[])

Not Collective

## Input Parameters

- classname - Name of the class to activate/deactivate `PetscInfo()` for

- numClassID - Number of entries in `classIDs`

- classIDs - Array containing all of the `PetscClassId`s associated with `classname`

## Options Database Key

- -info [filename][:[~]<list,of,classnames>[:[~]self]] - specify which informative messages are printed, see `PetscInfo()`.

## See Also

Interpreting -info Output: Informative Messages, `PetscInfo()`, `PetscInfoActivateClass()`, `PetscInfoDeactivateClass()`, `PetscInfoSetFromOptions()`

## Level

developer

## Location

src/sys/info/verboseinfo.c

## Examples

src/mat/tutorials/ex7.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages